package com.fjhx.account.entity.cost.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BasePo;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 费控
 * </p>
 *
 * @author
 * @since 2024-03-18
 */
@Getter
@Setter
@TableName("cost_control")
public class CostControl extends BasePo {

    /**
     * 交易类型10收入20支出
     */
    private Integer tradeType;

    /**
     * 费用类型
     */
    private String costType;

    /**
     * 记账凭证号
     */
    private String voucherNo;

    /**
     * 申请时间
     */
    private String applyTime;

    /**
     * 流水号
     */
    private String code;

    /**
     * 物流公司id
     */
    private String logisticsCompanyId;

    /**
     * 是否提交凭证
     */
    private String isVoucher;

    /**
     * 所属中心
     */
    private String companyId;

    /**
     * 所属部门
     */
    private String deptId;

    /**
     * 申请人id
     */
    private String applyUserId;

    /**
     * 是否预付
     */
    private String isAdvance;

    /**
     * 合计金额
     */
    private String amount;

    /**
     * 是否公户转出
     */
    private String isPublicTransfer;

    /**
     * 开户名
     */
    private String accountName;

    /**
     * 开户行
     */
    private String accountBank;

    /**
     * 开户账号
     */
    private String accountNumber;

}
